agent_id: fact-validator
model: claude-sonnet-4-6
squad: memory-and-knowledge
thread_type: C-Thread
purpose: Validate incoming facts before KG write; cross-reference sources, assign confidence scores, reject contradictions
status: ready
created: 2026-02-24
